Loading...
Searching...
No Matches
CLevelParserParam Class Reference

## Public Member Functions

| CLevelParserParam (int value)
| Create param with given value.
| CLevelParserParam (float value)
| CLevelParserParam (std::string value)
| CLevelParserParam (bool value)
| CLevelParserParam (Gfx::Color value)
| CLevelParserParam (Math::Point value)
| CLevelParserParam (Math::Vector value)
| CLevelParserParam (ObjectType value)
| CLevelParserParam (Gfx::CameraType value)
| CLevelParserParam (CLevelParserParamVec &&array)
| CLevelParserParam (std::string name, std::string value)
| Create param from string.
| CLevelParserParam (std::string name, bool empty)
| Create empty parser param.
int | AsInt ()
| Get value (throws exception if not found or unable to process).
float | AsFloat ()
std::string | AsString ()
bool | AsBool ()
std::string | AsPath (const std::string defaultDir)
Gfx::Color | AsColor ()
Math::Vector | AsPoint ()
ObjectType | AsObjectType ()
DriveType | AsDriveType ()
ToolType | AsToolType ()
Gfx::WaterType | AsWaterType ()
Gfx::EngineObjectType | AsTerrainType ()
int | AsBuildFlag ()
int | AsResearchFlag ()
CScoreboard::SortType | AsSortType ()
Gfx::PyroType | AsPyroType ()
Gfx::CameraType | AsCameraType ()
MissionType | AsMissionType ()
const CLevelParserParamVec & | AsArray ()
Gfx::PlanetType | AsPlanetType ()
int | AsInt (int def)
| Get value (returns default if not found, throws exception if unable to process).
float | AsFloat (float def)
std::string | AsString (std::string def)
bool | AsBool (bool def)
std::string | AsPath (const std::string defaultDir, std::string def)
Gfx::Color | AsColor (Gfx::Color def)
Math::Vector | AsPoint (Math::Vector def)
ObjectType | AsObjectType (ObjectType def)
DriveType | AsDriveType (DriveType def)
ToolType | AsToolType (ToolType def)
Gfx::WaterType | AsWaterType (Gfx::WaterType def)
Gfx::EngineObjectType | AsTerrainType (Gfx::EngineObjectType def)
int | AsBuildFlag (int def)
int | AsResearchFlag (int def)
CScoreboard::SortType | AsSortType (CScoreboard::SortType def)
Gfx::PyroType | AsPyroType (Gfx::PyroType def)
Gfx::CameraType | AsCameraType (Gfx::CameraType def)
MissionType | AsMissionType (MissionType def)
void | SetLine (CLevelParserLine *line)
| Set line this param is part of.
CLevelParserLine * | GetLine ()
| Get line this param is part of.
std::string | GetName ()
std::string | GetValue ()
bool | IsDefined ()

## Static Public Member Functions

static const std::string | FromObjectType (ObjectType value)

## Constructor & Destructor Documentation

## CLevelParserParam() [1/3]

CLevelParserParam::CLevelParserParam | ( | int | value | ) |

Create param with given value.

## CLevelParserParam() [2/3]

CLevelParserParam::CLevelParserParam | ( | std::string | name,
|  | std::string | value )

Create param from string.

## CLevelParserParam() [3/3]

CLevelParserParam::CLevelParserParam | ( | std::string | name,
|  | bool | empty )

Create empty parser param.

## Member Function Documentation

## AsInt() [1/2]

int CLevelParserParam::AsInt | ( |  | ) |

Get value (throws exception if not found or unable to process).

## AsInt() [2/2]

int CLevelParserParam::AsInt | ( | int | def | ) |

Get value (returns default if not found, throws exception if unable to process).

## SetLine()

void CLevelParserParam::SetLine | ( | CLevelParserLine * | line | ) |

Set line this param is part of.

## GetLine()

CLevelParserLine * CLevelParserParam::GetLine | ( |  | ) |

Get line this param is part of.

The documentation for this class was generated from the following files:

- src/level/parser/parserparam.h
- src/level/parser/parserparam.cpp